document.addEventListener('DOMContentLoaded', function() {
  fetch('image_list2')
    .then(response => response.text())
    .then(data => {
      const sections = data.split('\n\n');
      const imageData = sections.map(section => {
        const lines = section.split('\n');
        return {
          filename: lines[0],
          altText: lines[1]
        };
      });

      const imageContainers = document.querySelectorAll('.image-container');
      imageContainers.forEach(container => {
        const img = container.querySelector('img');
        const altTextDiv = container.querySelector('.alt-text');
        
        const imageName = img.src.split('/').pop();
        const imageInfo = imageData.find(data => data.filename === imageName);
        
        if (imageInfo) {
          img.alt = imageInfo.altText;
          altTextDiv.textContent = imageInfo.altText;
        } else {
          img.alt = 'No alt text available';
          altTextDiv.textContent = 'No alt text available';
        }
      });
    })
    .catch(error => {
      console.error('Error loading image data:', error);
      const altTextDivs = document.querySelectorAll('.alt-text');
      altTextDivs.forEach(div => {
        div.textContent = 'Error loading alt text';
      });
    });
});